For the complete documentation index, see llms.txt. This page is also available as Markdown.

地址交易對手

列出指定地址曾往來的對手地址,並可依往來總額或交易筆數排序與篩選。適合找出主要資金往來對象。

post
Authorizations
X-API-KeystringRequired
Body

POST /v1/counterparty 的請求 body(交易對手排行)。

addressstringRequired
blockchainstringRequired
directionstring · nullableOptional
end_timeinteger · nullableOptional
limitinteger · nullableOptional
min_interactionsinteger · nullableOptional
orderstring · nullableOptional
output_assetstring · nullableOptional
pageinteger · nullableOptional
sortstring · nullableOptional
start_timeinteger · nullableOptional
symbolsstring[] · nullableOptional
Responses
200

查詢成功,回傳交易對手清單與往來排行

application/json
post/v1/counterparty
POST /v1/counterparty HTTP/1.1
Host: api.blockchainsecurity.asia
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 101

{
  "address": "TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9",
  "blockchain": "tron",
  "limit": 50,
  "sort": "total_amount"
}
{
  "data": {
    "datas": [
      {
        "address": "TAUN6FwrnwwmaEqYcckffC7wYmbaS6cBiX",
        "blockchain": "tron",
        "first_activity": 1533891705,
        "last_activity": 1630913688,
        "received_amount": "925630051399.04565430",
        "received_amount_usd": 22090152259.545155,
        "received_count": 208,
        "sent_amount": "10025588129.66468239",
        "sent_amount_usd": 4379001976.236216,
        "sent_count": 26,
        "symbol": "all",
        "symbols": [
          "win",
          "sun"
        ],
        "total_amount": "935655639528.71020508",
        "total_amount_usd": 26469154235.781372,
        "total_count": 234,
        "total_transfers": 234
      },
      {
        "address": "TWd4WrZ9wn84f5x1hZhL4DHvk738ns5jwb",
        "blockchain": "tron",
        "first_activity": 1542274983,
        "last_activity": 1729421391,
        "received_amount": "0.00000000",
        "received_amount_usd": 0,
        "received_count": 0,
        "sent_amount": "1846183394865.81567383",
        "sent_amount_usd": 17890204366.68017,
        "sent_count": 52,
        "symbol": "all",
        "symbols": [
          "trx",
          "nft"
        ],
        "total_amount": "1846183394865.81567383",
        "total_amount_usd": 17890204366.68017,
        "total_count": 52,
        "total_transfers": 52
      }
    ],
    "pagination": {
      "has_more": true,
      "limit": 2,
      "page": 1,
      "total_pages": 177
    },
    "received_address_count": 344,
    "sent_address_count": 11
  },
  "meta": {
    "request_id": "e8392260-a5c0-429f-b6f4-0b5c2687ef9e"
  }
}

Last updated

Was this helpful?